summaryrefslogtreecommitdiffstats
path: root/games/xroar-roms
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2018-09-02 00:52:51 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-09-08 08:37:38 +0700
commitdcd937fd24c909af505f8c8975cc31d245bdedc9 (patch)
treedbae9c9360edde5b32fd4dcf223cc86fe90358c8 /games/xroar-roms
parentf2ba52c97f79132396ef742797a64a25881d3bbb (diff)
downloadslackbuilds-dcd937fd24c909af505f8c8975cc31d245bdedc9.tar.gz
slackbuilds-dcd937fd24c909af505f8c8975cc31d245bdedc9.tar.xz
games/xroar-roms: Added (Dragon and CoCo ROM images).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/xroar-roms')
-rw-r--r--games/xroar-roms/README30
-rw-r--r--games/xroar-roms/slack-desc19
-rw-r--r--games/xroar-roms/xroar-roms.SlackBuild52
-rw-r--r--games/xroar-roms/xroar-roms.info60
4 files changed, 161 insertions, 0 deletions
diff --git a/games/xroar-roms/README b/games/xroar-roms/README
new file mode 100644
index 0000000000..abf0354ff8
--- /dev/null
+++ b/games/xroar-roms/README
@@ -0,0 +1,30 @@
+xroar-roms (Dragon and CoCo ROM images for use with xroar)
+
+Firmware for Dragon and TRS-80 Color Computer. These were originally
+copied from the ROMs in the original machines, and are still under
+copyright by the manufacturers, although they've been widely available
+on the 'net for years.
+
+The Dragon and CoCo machines (and xroar) have a bewildering array of ROM
+images to choose from. What's included here is a "base" set of ROMs.
+
+With this package installed, xroar will be able to run with the
+following -machine types:
+
+- dragon32 Dragon 32
+- dragon64 Dragon 64
+- tano[*] Tano Dragon (NTSC)
+- dragon200e[*] Dragon 200-E
+- coco Tandy CoCo (PAL)
+- cocous Tandy CoCo (NTSC)
+- coco2b Tandy CoCo 2B (PAL,T1)
+- coco2bus Tandy CoCo 2B (NTSC,T1)
+
+[*] Requires extra xroar arguments; see
+/usr/doc/xroar-roms-20180901/Readme.txt for details.
+
+The mx1600 (Dynacom MX-1600) is unsupported, as a ROM image couldn't
+be found.
+
+There are many ROM, disk, and tape images for the CoCo and Dragon
+computers here: http://www.colorcomputerarchive.com/
diff --git a/games/xroar-roms/slack-desc b/games/xroar-roms/slack-desc
new file mode 100644
index 0000000000..da5714af4a
--- /dev/null
+++ b/games/xroar-roms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xroar-roms: xroar-roms (Dragon and CoCo ROM images for use with xroar)
+xroar-roms:
+xroar-roms: Firmware for Dragon and TRS-80 Color Computer. These were originally
+xroar-roms: copied from the ROMs in the original machines, and are still under
+xroar-roms: copyright by the manufacturers, although they've been widely available
+xroar-roms: on the 'net for years.
+xroar-roms:
+xroar-roms:
+xroar-roms:
+xroar-roms:
+xroar-roms:
diff --git a/games/xroar-roms/xroar-roms.SlackBuild b/games/xroar-roms/xroar-roms.SlackBuild
new file mode 100644
index 0000000000..28216105d4
--- /dev/null
+++ b/games/xroar-roms/xroar-roms.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for xroar-roms
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# The list of ROMS is the intersection of the set of ROMs xroar loads
+# by default, and the example commands in Readme.txt. Adding a ROM is
+# as simple as adding it to the .info file, just make sure the download
+# links line up with the md5sums.
+
+PRGNAM=xroar-roms
+VERSION=${VERSION:-20180901}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/xroar/roms $OUTPUT
+cd $PKG/usr/share/xroar/roms
+
+# DRY principle: I already listed all the files in the .info file, not
+# duplicating the list here.
+. $CWD/$PRGNAM.info
+
+# These ROMs aren't zipped or anything, just stick them where they go.
+for romfile in $DOWNLOAD; do
+ romfile="$( basename $romfile )"
+ cat "$CWD/$romfile" > "$romfile"
+done
+
+# Get rid of "-vo sdl" from example commands, as it no longer works in
+# modern xroar.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+sed 's/-vo *sdl *//g' Readme.txt > $PKG/usr/doc/$PRGNAM-$VERSION/Readme.txt
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README_SBo.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/xroar-roms/xroar-roms.info b/games/xroar-roms/xroar-roms.info
new file mode 100644
index 0000000000..b7650d7a1a
--- /dev/null
+++ b/games/xroar-roms/xroar-roms.info
@@ -0,0 +1,60 @@
+PRGNAM="xroar-roms"
+VERSION="20180901"
+HOMEPAGE="http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Readme.txt"
+DOWNLOAD="http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Readme.txt \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CP400/BASIC_OS/cp400bas.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CP400/BASIC_OS/cp400extbas.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CP400/DOS/cp400dsk.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/bas10.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/bas11.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/bas12.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/bas13.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/bas14.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/extbas10.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/BASIC_OS/extbas11.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/DOS/DISK_BASIC12_v21/disk12.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/DOS/disk10.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/CoCo/DOS/disk11.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Color64/BASIC_OS/color64bas.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Color64/BASIC_OS/color64extbas.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d200rom1.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d200rom2.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d32.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d64rom1.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d64rom2.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d64tano.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/BASIC_OS/d64tano2.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/DOS/ddos10.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/DOS/ddos11c.rom \
+ http://www.colorcomputerarchive.com/coco/ROMs/XRoar/Dragon/DOS/ddos42.rom"
+MD5SUM="8b08af42c82761c2ffab780b4675dee5 \
+ f73da4d73d6db5cdb8b3cb6a50415e38 \
+ 091581001577b4a83ccfd511829de0f1 \
+ 16d3ab9bc935f0d5651ca3f0e3030846 \
+ a74f3d95b395dad7cdca19d560eeea74 \
+ c73fb4bff9621c5ab17f6220b20db82f \
+ c933316c7d939532a13648850c1c2aa6 \
+ c2fc43556eb6b7b25bdf5955bd9df825 \
+ ac33e16f677b4db52548d426174b1aaa \
+ fda72f415afe99b36f953bb9bc1253da \
+ 21070aa0496142b886c562bf76d7c113 \
+ 4f2ef107cbe3f6b8d34198d25c9acecd \
+ a64b3ef9efcc066b18d35b134068d1cc \
+ 8cab28f4b7311b8df63c07bb3b59bfd5 \
+ 28dc97df470fb8660ef61b81dfd34f4a \
+ 0d9264ffa95ba493f2b5b0d488a49e13 \
+ be9bc86ee5eb401d0a40d0377f65fefa \
+ fd91edce7be5e7c2d88e46b76956a8aa \
+ 3420b96031078a4ef408cad7bf21a33f \
+ 5f0bee59710e55f5880e74890912ed78 \
+ fd91edce7be5e7c2d88e46b76956a8aa \
+ be9bc86ee5eb401d0a40d0377f65fefa \
+ fd91edce7be5e7c2d88e46b76956a8aa \
+ 1c965da49b6c5459b8353630aa1482e7 \
+ d8429af1a12f7438a4bf88a5b934cb3a \
+ c956a854cbc4b9d1e69c000f78368668"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"